- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_codecommit – Manage repositories in AWS CodeCommit

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Supports creation and deletion of CodeCommit repositories.
- See https://aws.amazon.com/codecommit/ for more information about CodeCommit.

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- botocore
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
comment - |  | description or comment of repository.
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - / required |  | name of repository.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - / required | Choices: present absent | Specifies the state of repository.
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Create a new repository
    - aws_codecommit:
        name: repo
        state: present

    # Delete a repository
    - aws_codecommit:
        name: repo
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
repository_metadata complex | always | Information about the repository.
| account_id string | when state is present | The ID of the AWS account associated with the repository. Sample: 268342293637
| arn string | when state is present | The Amazon Resource Name (ARN) of the repository. Sample: arn:aws:codecommit:ap-northeast-1:268342293637:username
| clone_url_http string | when state is present | The URL to use for cloning the repository over HTTPS. Sample: https://git-codecommit.ap-northeast-1.amazonaws.com/v1/repos/reponame
| clone_url_ssh string | when state is present | The URL to use for cloning the repository over SSH. Sample: ssh://git-codecommit.ap-northeast-1.amazonaws.com/v1/repos/reponame
| creation_date string | when state is present | The date and time the repository was created, in timestamp format. Sample: 2018-10-16T13:21:41.261000+09:00
| last_modified_date string | when state is present | The date and time the repository was last modified, in timestamp format. Sample: 2018-10-16T13:21:41.261000+09:00
| repository_description string | when state is present | A comment or description about the repository. Sample: test from ptux
| repository_id string | always | The ID of the repository that was created or deleted Sample: e62a5c54-i879-497b-b62f-9f99e4ebfk8e
| repository_name string | when state is present | The repository's name. Sample: reponame
response_metadata complex | always | Information about the response.
| http_headers dictionary | always | http headers of http response
| http_status_code string | always | http status code of http response Sample: 200
| request_id string | always | http request id Sample: fb49cfca-d0fa-11e8-85cb-b3cc4b5045ef
| retry_attempts string | always | numbers of retry attempts Sample: 0

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Shuang Wang (@ptux)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.